Loading...
Searching...
No Matches
stdex::html::element_start Class Reference

Starting tag of an HTML element `<...>` More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::element_start:

## Public Member Functions

template<class T >
| element_start (stdex::parser::basic_html_tag< T > &&tag, const T *src, sequence *parent=nullptr, sequence *_end=nullptr)
Public Member Functions inherited from stdex::html::element
template<class T >
| element (stdex::parser::basic_html_tag< T > &&tag, const T *src, sequence *parent=nullptr)
Public Member Functions inherited from stdex::html::sequence
| sequence (stdex::parser::html_sequence_t _type=stdex::parser::html_sequence_t::unknown, size_t start=0, size_t end=0, sequence *_parent=nullptr)

## Public Attributes

sequence * | end
| Corresponding ending tag of type `element_end`; When element is ended by a start of another element, this points to the another element start.
Public Attributes inherited from stdex::html::element
element_t | code
| Element code.
stdex::interval< size_t > | name
| Element name position in source.
std::vector< stdex::parser::html_attribute > | attributes
| Element attribute positions in source.
Public Attributes inherited from stdex::html::sequence
stdex::parser::html_sequence_t | type
| Sequence type. Enum is used for performance reasons (vs. `dynamic_cast`)
stdex::interval< size_t > | interval
| Sequence position in source.
sequence * | parent
| Parent sequence.

## Additional Inherited Members

Static Public Member Functions inherited from stdex::html::element
template<class T >
static element_t | element_code (_In_reads_z_(num_chars) const T *name, size_t num_chars)

## Detailed Description

Starting tag of an HTML element `<...>`

The documentation for this class was generated from the following file:

- include/stdex/html.hpp